XmlComplexContentImpl (xmlbeans API)

org.apache.xmlbeans.impl.values

## Class XmlComplexContentImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, SimpleValue, XmlObject, XmlTokenSource
  Direct Known Subclasses:
    AllDocumentImpl, AnnotationDocumentImpl, AnyAttributeDocumentImpl, AnyDocumentImpl, AppinfoDocumentImpl, AppinfoDocumentImpl.AppinfoImpl, AttributeDocumentImpl, AttributeGroupDocumentImpl, BaseAttributeImpl, ChoiceDocumentImpl, CodeImpl, ComplexContentDocumentImpl, ComplexTypeDocumentImpl, ConfigDocumentImpl, ConfigDocumentImpl.ConfigImpl, DefinitionsDocumentImpl, DefinitionsDocumentImpl.DefinitionsImpl, DocumentationDocumentImpl, DocumentationDocumentImpl.DocumentationImpl, DownloadedSchemaEntryImpl, DownloadedSchemasDocumentImpl, DownloadedSchemasDocumentImpl.DownloadedSchemasImpl, ElementDocumentImpl, EnumerationDocumentImpl, ExtensionconfigImpl, ExtensionconfigImpl.InterfaceImpl, ExtensionconfigImpl.PrePostSetImpl, FieldDocumentImpl, FileDescImpl, FractionDigitsDocumentImpl, GroupDocumentImpl, IdAttributeImpl, ImportDocumentImpl, IncludeDocumentImpl, KeyDocumentImpl, KeyrefDocumentImpl, LangAttributeImpl, LengthDocumentImpl, ListDocumentImpl, MaxExclusiveDocumentImpl, MaxInclusiveDocumentImpl, MaxLengthDocumentImpl, MinExclusiveDocumentImpl, MinInclusiveDocumentImpl, MinLengthDocumentImpl, NotationDocumentImpl, NsconfigImpl, OpenAttrsImpl, PatternDocumentImpl, QnameconfigImpl, RedefineDocumentImpl, RestrictionDocumentImpl, SchemaDocumentImpl, SelectorDocumentImpl, SequenceDocumentImpl, SimpleContentDocumentImpl, SimpleTypeDocumentImpl, SpaceAttributeImpl, TestCaseImpl, TestCaseImpl.FilesImpl, TestsDocumentImpl, TestsDocumentImpl.TestsImpl, TImportImpl, TotalDigitsDocumentImpl, UnionDocumentImpl, UniqueDocumentImpl, UsertypeconfigImpl, WhiteSpaceDocumentImpl, XmlAnyTypeImpl

      public class XmlComplexContentImpl
      extends XmlObjectBase

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, Factory, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlComplexContentImpl(SchemaType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `arraySetterHelper(BigDecimal[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(BigDecimal[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(BigInteger[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(BigInteger[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(boolean[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(boolean[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(byte[][] sources, QName elemName)`
    `protected void` | `arraySetterHelper(byte[][] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(byte[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(byte[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(Calendar[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(Calendar[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(Date[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(Date[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(double[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(double[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(float[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(float[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(GDate[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(GDate[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(GDuration[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(GDuration[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(int[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(int[] sources, QName elemName, QNameSet set)`
    `protected SimpleValue[]` | `arraySetterHelper(int sourcesLength, QName elemName)`
    `protected SimpleValue[]` | `arraySetterHelper(int sourcesLength, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(List<?>[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(List<?>[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(long[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(long[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(QName[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(QName[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(short[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(short[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(String[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(String[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(StringEnumAbstractBase[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(StringEnumAbstractBase[] sources, QName elemName, QNameSet set)`
    `protected void` | `arraySetterHelper(XmlObject[] sources, QName elemName)`
    `protected void` | `arraySetterHelper(XmlObject[] sources, QName elemName, QNameSet set)`
    `String` | `compute_text(NamespaceManager nsm)` This should return the canonical string value of the primitive.
    `boolean` | `equal_to(XmlObject complexObject)`
    `String` | `get_default_attribute_text(QName attrName)` Returns the default attribute text for the attribute with the given name, or null if no default.
    `String` | `get_default_element_text(QName eltName)` Returns the default element text, if it's consistent.
    `int` | `get_elementflags(QName eltName)` Returns the elementflags, if they're consistent.
    `boolean` | `is_child_element_order_sensitive()` Returns false if child elements are insensitive to order; if it returns true, you're required to call invalidate_element_order on children to the right of any child order rearrangement.
    `TypeStoreVisitor` | `new_visitor()` A typestore user can return a visitor that is used to compute default text and elementflags for an arbitrary element.
    `SchemaType` | `schemaType()`
    `void` | `set_nil()` This should clear the value, and set it to whatever is supposed to be returned when the value is nilled.
    `protected void` | `set_String(String v)` Setting a string preserves any noncanonical literal representation.
    `void` | `set_text(String str)` This should set the value of the type from text, or throw an XmlValueOutOfRangeException if it can't.
    `protected void` | `unionArraySetterHelper(Object[] sources, QName elemName)`
    `protected void` | `unionArraySetterHelper(Object[] sources, QName elemName, QNameSet set)`
    `protected void` | `update_from_complex_content()` Update the value based on complex content.
    `protected int` | `value_hash_code()`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlComplexContentImpl

          public XmlComplexContentImpl(SchemaType type)

  - ### Method Detail

    - #### schemaType

          public SchemaType schemaType()

      Specified by:
        `schemaType` in interface `XmlObject`
      Specified by:
        `schemaType` in class `XmlObjectBase`
      Returns:
        The schema type for this instance. This is a permanent, unchanging property of the instance.

    - #### compute_text

          public String compute_text(NamespaceManager nsm)

      Description copied from class: `XmlObjectBase`
      This should return the canonical string value of the primitive. Only called when non-nil.
      Specified by:
        `compute_text` in class `XmlObjectBase`

    - #### set_String

          protected final void set_String(String v)

      Description copied from class: `XmlObjectBase`
      Setting a string preserves any noncanonical literal representation. This is done by storing the actual string in the underlying store after checking it against the primitive type for validity.
      Overrides:
        `set_String` in class `XmlObjectBase`

    - #### set_text

          public void set_text(String str)

      Description copied from class: `XmlObjectBase`
      This should set the value of the type from text, or throw an XmlValueOutOfRangeException if it can't.
      Specified by:
        `set_text` in class `XmlObjectBase`

    - #### update_from_complex_content

          protected void update_from_complex_content()

      Description copied from class: `XmlObjectBase`
      Update the value based on complex content.
      Overrides:
        `update_from_complex_content` in class `XmlObjectBase`

    - #### set_nil

          public void set_nil()

      Description copied from class: `XmlObjectBase`
      This should clear the value, and set it to whatever is supposed to be returned when the value is nilled.
      Specified by:
        `set_nil` in class `XmlObjectBase`

    - #### equal_to

          public boolean equal_to(XmlObject complexObject)

      Specified by:
        `equal_to` in class `XmlObjectBase`

    - #### value_hash_code

          protected int value_hash_code()

      Specified by:
        `value_hash_code` in class `XmlObjectBase`

    - #### new_visitor

          public TypeStoreVisitor new_visitor()

      Description copied from class: `XmlObjectBase`
      A typestore user can return a visitor that is used to compute default text and elementflags for an arbitrary element.
      Specified by:
        `new_visitor` in interface `TypeStoreUser`
      Overrides:
        `new_visitor` in class `XmlObjectBase`

    - #### is_child_element_order_sensitive

          public boolean is_child_element_order_sensitive()

      Description copied from class: `XmlObjectBase`
      Returns false if child elements are insensitive to order; if it returns true, you're required to call invalidate_element_order on children to the right of any child order rearrangement.
      Specified by:
        `is_child_element_order_sensitive` in interface `TypeStoreUser`
      Overrides:
        `is_child_element_order_sensitive` in class `XmlObjectBase`

    - #### get_elementflags

          public int get_elementflags(QName eltName)

      Description copied from class: `XmlObjectBase`
      Returns the elementflags, if they're consistent. If they're not, returns -1, and requires a vistor walk.
      Specified by:
        `get_elementflags` in interface `TypeStoreUser`
      Overrides:
        `get_elementflags` in class `XmlObjectBase`

    - #### get_default_attribute_text

          public String get_default_attribute_text(QName attrName)

      Description copied from class: `XmlObjectBase`
      Returns the default attribute text for the attribute with the given name, or null if no default.
      Specified by:
        `get_default_attribute_text` in interface `TypeStoreUser`
      Overrides:
        `get_default_attribute_text` in class `XmlObjectBase`

    - #### get_default_element_text

          public String get_default_element_text(QName eltName)

      Description copied from class: `XmlObjectBase`
      Returns the default element text, if it's consistent. If it's not consistent, returns null, and requires a visitor walk.

      Also returns null if there is no default at all (although that can also be discovered via get_elementflags without doing a walk).

      Specified by:
        `get_default_element_text` in interface `TypeStoreUser`
      Overrides:
        `get_default_element_text` in class `XmlObjectBase`

    - #### unionArraySetterHelper

          protected void unionArraySetterHelper(Object[] sources,
                                                QName elemName)

    - #### arraySetterHelper

          protected SimpleValue[] arraySetterHelper(int sourcesLength,
                                                    QName elemName)

    - #### arraySetterHelper

          protected SimpleValue[] arraySetterHelper(int sourcesLength,
                                                    QName elemName,
                                                    QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(boolean[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(float[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(double[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(byte[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(short[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(int[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(long[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(BigDecimal[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(BigInteger[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(String[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(byte[][] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(GDate[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(GDuration[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(Calendar[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(Date[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(QName[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(StringEnumAbstractBase[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(List<?>[] sources,
                                           QName elemName)

    - #### unionArraySetterHelper

          protected void unionArraySetterHelper(Object[] sources,
                                                QName elemName,
                                                QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(boolean[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(float[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(double[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(byte[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(short[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(int[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(long[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(BigDecimal[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(BigInteger[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(String[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(byte[][] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(GDate[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(GDuration[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(Calendar[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(Date[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(QName[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(StringEnumAbstractBase[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(List<?>[] sources,
                                           QName elemName,
                                           QNameSet set)

    - #### arraySetterHelper

          protected void arraySetterHelper(XmlObject[] sources,
                                           QName elemName)

    - #### arraySetterHelper

          protected void arraySetterHelper(XmlObject[] sources,
                                           QName elemName,
                                           QNameSet set)